> ## Documentation Index
> Fetch the complete documentation index at: https://developer.thehaystack.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Item Transcript

> Retrieve the full transcript for an item including semantic chunks. Requires the item to be processed.



## OpenAPI

````yaml GET /items/{itemId}/transcript
openapi: 3.1.0
info:
  title: Haystack API
  description: Content management and semantic search API for Haystack
  version: 2.0.0
  contact:
    name: Haystack Support
    email: support@thehaystack.ai
    url: https://thehaystack.ai
servers:
  - url: https://api.thehaystack.ai/v2/haystack
    description: Production server
security:
  - bearerAuth: []
tags:
  - name: Items
    description: Content item management
  - name: Collections
    description: Top-level content organization
  - name: Series
    description: Multi-part content grouping
  - name: Speakers
    description: Content presenter management
  - name: Media
    description: Video and audio asset management
  - name: Search
    description: Semantic content search
  - name: Analytics
    description: Usage statistics and metrics
  - name: Resources
    description: Attach supplementary files, links, and videos to items
  - name: Scriptures
    description: Attach Bible references to items
  - name: Chapters
    description: Time-based chapter markers on media assets
  - name: Stats
    description: Analytics and reporting
  - name: Frontend
    description: Public frontend configuration
paths:
  /items/{itemId}/transcript:
    get:
      tags:
        - Items
      summary: Get item transcript
      description: >-
        Retrieve the full transcript for an item including semantic chunks.
        Requires the item to be processed.
      parameters:
        - name: itemId
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Item transcript with per-chunk timings
          content:
            application/json:
              schema:
                type: object
                properties:
                  itemId:
                    type: integer
                  title:
                    type: string
                  transcript:
                    type: string
                    description: Full transcript as a single string
                  chunks:
                    type: array
                    items:
                      type: object
                      properties:
                        text:
                          type: string
                        startMs:
                          type: integer
                          description: >-
                            Start offset in milliseconds from the beginning of
                            the media
                        endMs:
                          type: integer
                          description: End offset in milliseconds
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your API token from the Haystack dashboard

````